Add a SEPA beneficiary
curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
--data '
{
"beneficiary": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"email": "jsmith@example.com",
"activity_tag": "<string>"
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/sepa/beneficiaries"
payload = { "beneficiary": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"email": "jsmith@example.com",
"activity_tag": "<string>"
} }
headers = {
"X-Qonto-Idempotency-Key": "<x-qonto-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qonto-Idempotency-Key': '<x-qonto-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
beneficiary: {
name: '<string>',
iban: '<string>',
bic: '<string>',
email: 'jsmith@example.com',
activity_tag: '<string>'
}
})
};
fetch('https://thirdparty.qonto.com/v2/sepa/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"beneficiary": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"status": "validated",
"trusted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"activity_tag": "<string>"
}
}Beneficiaries
Add a SEPA beneficiary
OAuth scope: payment.write
Adds a new untrusted SEPA beneficiary to the organization’s main bank account.
POST
/
v2
/
sepa
/
beneficiaries
Add a SEPA beneficiary
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Learn more in Idempotent Requests.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Show child attributes
Show child attributes
Response
Beneficiary created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I